Package oracle.jdbc

## Class LogicalTransactionIdEvent

- java.lang.Object
- - java.util.EventObject
  - - oracle.jdbc.LogicalTransactionIdEvent

All Implemented Interfaces:
  `Serializable`

    public abstract class LogicalTransactionIdEvent
    extends EventObject

The event that corresponds to a new Logical Transaction Id. These events are sent by the database server and processed by the driver which notifies the registered listeners. See `LogicalTransactionIdEventListener`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
`protected` `LogicalTransactionIdEvent​(Object source)`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract LogicalTransactionId` `getLogicalTransactionId()`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LogicalTransactionIdEvent

    protected LogicalTransactionIdEvent​(Object source)

### Method Detail

#### getLogicalTransactionId

    public abstract LogicalTransactionId getLogicalTransactionId()